-- message for players
rules = function()
    Trigger.AfterDelay(DateTime.Seconds(3), function()
        Media.DisplayMessage ("Welcome to thw WW3 mod: This map has many changes, check tooltips", "Waggy", HSLColor.Red)
        Trigger.AfterDelay(DateTime.Seconds(8), function()
            Media.DisplayMessage ("More Production Buildings = Faster Production to a maximum of 5", "Waggy", HSLColor.Red)
            Trigger.AfterDelay(DateTime.Seconds(12), function()
                Media.DisplayMessage ("Special thanks to the map creator & ERCC creators. GLHF!", "Waggy", HSLColor.Green)
                Trigger.AfterDelay(DateTime.Seconds(20), function()
                    Media.DisplayMessage ("Mammy!!! I don't like this map!!! Wheeeeehhhhh!!!!", "Negative people", HSLColor.Red)
                    Trigger.AfterDelay(DateTime.Seconds(30), function()
                        Media.DisplayMessage ("Build, defend, attack, and destroy your enemies!!!", "Somebody who's in charge", HSLColor.Green)
                    end)
                end)
            end)
        end)
    end)
end

-- load world
WorldLoaded = function ()
    player = Player.GetPlayer("Multi0")
    rules()
end

Tick = function ()

end